Skip to content
Skip to main content
GET
/v3/grants

Return all grants

Returns all grants in your Nylas application.

NYLAS API KEY

Parameters

Query parameters

account_idstring

Returns grants with a matching v2 Nylas account ID. Only applicable for grants migrated from Nylas v2.

account_idsstring

Returns grants with a matching list of v2 Nylas account IDs. Only applicable for grants migrated from Nylas v2.

beforeinteger

Returns grants whose created_at value is less than or equal to the defined value, in seconds using the Unix timestamp format.

emailstring

Returns grants with a matching email.

grant_statusstring

Filters for only valid or invalid grants.

invalidvalid
ipstring

Returns grants with a matching IP address.

limitinteger

The maximum number of grants to return. See Pagination for more information.

Default: 10
offsetinteger

The offset value for the request. See Pagination for more information.

Default: 0
order_bystring

The order in which Nylas should sort results for the request.

ascdesc
Default: "desc"
providerstring

Returns grants with a matching provider.

sinceinteger

Returns grants whose created_at value is greater than or equal to the defined value, in seconds using the Unix timestamp format.

sort_bystring

The field Nylas should use to sort results for the request.

created_atupdated_at
Default: "created_at"
workspace_idstring

Returns grants in the specified workspace.

Responses

request_idstring

The request ID.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
dataarray<object>
limitinteger
Example: 10
offsetinteger
Example: 0
GEThttps://api.us.nylas.com/v3/grants?limit=10&offset=0&order_by=desc&sort_by=created_at

Find your API key in the Nylas Dashboard under API Keys in your application settings.